컨테이너

도커 꾸러미는 더 이상 사용 할 수 없고 기본적으로 동작하지 않습니다

도커 꾸러미는 페도라 31에서 제거되었습니다. 도커 CLI와 도커엔진을 포함하는 업스트림 꾸러미 'moby-engine’에 의해 대체되었습니다. 아뭏튼, 우리는 대신에 CLI가 도커와 호환되는 Cgroups v2-호환 컨테이너 엔진 인 포드맨(podman)를 사용하는 것을 추천합니다.

페도라 31은 커널 부분에서 설명된 것처럼 기본적으로 Cgroups v2를 사용합니다. moby-engine 꾸러미는 아직까지 Cgroup v2를 지원하지 않으며, 만약 moby-engine 실행하거나 도커 CE 꾸러미를 실행하는 것이 필요하다면, 커널 매개 변수 `systemd.unified_cgroup_hierarchy=0`의 전달에 의해 Cgroup v1을 사용하는데 시스템 전환이 필요 할 수 있습니다 . 이와 같이 영구적으로 수행하려면, 다음과 같은 명령을 실행하세요:

grubby --update-kernel=ALL --args="systemd.unified_cgroup_hierarchy=0"